Subject: [bug#48729] [PATCH v2 47/47] gnu: Add bitmask-vpn.

From: Raghav Gururajan <[email-masked]>
Date: Fri, 11 Jun 2021 00:12:55 -0400

Hi Maxime!

> This can be done a bit simpler, and less prone to breakage
> if/when a new keyword argument is introduced at some poit
> in the future (untested):

Good point.

> (replace 'build
>    (lambda arguments
>      (lambda (directory)
>        (apply (assoc-ref %standard-phases 'build)
>               `(,@arguments #:directory ,directory)))))
> 
> WDYT? Likewise in other places.

I tried to use this snippet, but how do I insert `for-each` here?

> Also, trailing #t in phases aren't required anymore
> (but harmless), though you probably know that already.
> (The warning should disappear when core-updates is merged.)

Yes, I'll remove them in the final patch-set.

Regards,
RG.